Message Queue, v4.4 API Specification

## com.sun.messaging
Class XAQueueConnectionFactory

    java.lang.Object
      com.sun.messaging.AdministeredObject
          com.sun.messaging.BasicConnectionFactory
              com.sun.messaging.ConnectionFactory
                  com.sun.messaging.XAConnectionFactory
                      com.sun.messaging.XAQueueConnectionFactory

All Implemented Interfaces:
  java.io.Serializable, ConnectionFactory, QueueConnectionFactory, XAConnectionFactory, XAQueueConnectionFactory, javax.naming.Referenceable

    public class XAQueueConnectionFactory

extends XAConnectionFactory
implements QueueConnectionFactory, XAQueueConnectionFactory

An `XAQueueConnectionFactory` is used to create XAQueueConnections with a Java Message Service (JMS) Point-to-Point (PTP) provider.

See Also:
  `javax.jms.XAQueueConnectionFactory`, Serialized Form

Field Summary

Fields inherited from class com.sun.messaging.AdministeredObject
`AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, configuration, configurationLabels, configurationTypes, cr, storedVersion, VERSION`

Constructor Summary
`XAQueueConnectionFactory()`

Method Summary

Methods inherited from class com.sun.messaging.XAConnectionFactory
`createXAConnection, createXAConnection, createXAQueueConnection, createXAQueueConnection, createXATopicConnection, createXATopicConnection`

Methods inherited from class com.sun.messaging.ConnectionFactory
`createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, getReference`

Methods inherited from class com.sun.messaging.BasicConnectionFactory
`createConnection, createConnection, getConnectionType, setConnectionType, setDefaultConfiguration, toString`

Methods inherited from class com.sun.messaging.AdministeredObject

`dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperty, setReadOnly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.XAQueueConnectionFactory
`createXAQueueConnection, createXAQueueConnection`

Methods inherited from interface javax.jms.XAConnectionFactory
`createXAConnection, createXAConnection`

Methods inherited from interface javax.jms.QueueConnectionFactory
`createQueueConnection, createQueueConnection`

Methods inherited from interface javax.jms.ConnectionFactory
`createConnection, createConnection`

Constructor Detail

### XAQueueConnectionFactory

    public XAQueueConnectionFactory()

Message Queue, v4.4 API Specification

Copyright 2009 Sun Microsystems, Inc.
4150 Network Circle, Santa Clara, CA 95054, U.S.A. All Rights Reserved.